curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updateMask": "<string>",
"virtualMcpServer": {
"allowPersonalSources": true,
"assignedTools": {},
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"mappedSource": {
"appId": "<string>",
"connectorId": "<string>"
},
"presentation": {
"codeMode": {},
"dynamicTools": {},
"rawTools": {}
},
"requireDeviceTrust": true,
"requireDpop": true,
"slug": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"useEntitlementId": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{id}"
payload = {
"updateMask": "<string>",
"virtualMcpServer": {
"allowPersonalSources": True,
"assignedTools": {},
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"mappedSource": {
"appId": "<string>",
"connectorId": "<string>"
},
"presentation": {
"codeMode": {},
"dynamicTools": {},
"rawTools": {}
},
"requireDeviceTrust": True,
"requireDpop": True,
"slug": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"useEntitlementId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updateMask: '<string>',
virtualMcpServer: {
allowPersonalSources: true,
assignedTools: {},
createdAt: '2023-11-07T05:31:56Z',
displayName: '<string>',
id: '<string>',
mappedSource: {appId: '<string>', connectorId: '<string>'},
presentation: {codeMode: {}, dynamicTools: {}, rawTools: {}},
requireDeviceTrust: true,
requireDpop: true,
slug: '<string>',
updatedAt: '2023-11-07T05:31:56Z',
useEntitlementId: '<string>'
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"virtualMcpServer": {
"allowPersonalSources": true,
"assignedTools": {},
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"mappedSource": {
"appId": "<string>",
"connectorId": "<string>"
},
"presentation": {
"codeMode": {},
"dynamicTools": {},
"rawTools": {}
},
"requireDeviceTrust": true,
"requireDpop": true,
"slug": "<string>",
"state": "VIRTUAL_MCP_SERVER_STATE_UNSPECIFIED",
"updatedAt": "2023-11-07T05:31:56Z",
"useEntitlementId": "<string>"
}
}Update
Update mutable fields on a Virtual MCP Server. Renaming preserves the previous route as an alias until it is reused; the server ID never changes.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Immutable unique identifier for this Virtual MCP Server.
Body
VirtualMCPServerServiceUpdateRequest updates mutable Virtual MCP Server fields.
VirtualMCPServer is a tenant-managed MCP endpoint backed by one composition.
This message contains a oneof named composition. Only a single field of the following list may be set at a time:
- mappedSource
- assignedTools
Show child attributes
Show child attributes
Response
VirtualMCPServerServiceUpdateResponse contains the updated Virtual MCP Server.
VirtualMCPServerServiceUpdateResponse contains the updated Virtual MCP Server.
VirtualMCPServer is a tenant-managed MCP endpoint backed by one composition.
This message contains a oneof named composition. Only a single field of the following list may be set at a time:
- mappedSource
- assignedTools
Show child attributes
Show child attributes
Was this page helpful?